Is Portal 2.0.0b1 compatible with PHP 5.6?

Current Version: 2.0.2
Released: 2013-10-27
Forum rules
Before creating a new support thread, please take a look at the board3 Portal FAQ and use the search!
Many questions have already been answered.
Leinad4Mind
Topic author
Active Member
Active Member
Posts: 16
Joined: 8. January 2010 00:15
phpBB.de User: Leinad4Mind
phpBB.com User: Leinad4Mind

Is Portal 2.0.0b1 compatible with PHP 5.6?

Post by Leinad4Mind » 8. July 2015 16:19

Your Portal Version: 2.0.0b1
Your phpBB Type: Standard phpBB3
MODs installed: Yes
Your knowledge: Advanced Knowledge

PHP Version: 5.6

What have you done before the problem was there?
Nothing

What have you already tryed to solve the problem?
Nothing

Description and Message
Hi there, I've been using the Portal since 2012, and my host provider in September will change the PHP to 5.4.
I've test out the 5.4 and it works perfectly. But, the host have and recommend to use 5.6 (last version), but when using 5.6 the Portal mess all around.
The blocks stretch all along horizontally.

Can anyone test this on a fresh install, please?

User avatar
archivar
Portal Professional
Portal Professional
Posts: 1874
Joined: 19. April 2009 21:34
phpBB.de User: archivar
phpBB.com User: archivar
Location: Deutschland

Re: Is Portal 2.0.0b1 compatible with PHP 5.6?

Post by archivar » 18. July 2015 09:40

This is a beta version, i.e. the package may still contain errors.

I tested with:

PHP Version 5.6.10
phpBB Version 3.0.13-PL1
Board3 Portal Version 2.0.2

I could not see any problems.
After the conversion of PHP version may be necessary in some cases, adjusting your scripts.
V.G. archivar
sorry for my bad english

Return to “Board3 Portal 2.0.x - English Support”